Bug 1721295 (CVE-2019-10170)

Summary: CVE-2019-10170 keycloak: script execution via realm management policy trigger
Product: [Other] Security Response Reporter: Chess Hazlett <chazlett>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aboyko, chazlett, drieden, krathod, pdrozd, pjindal, security-response-team, sthorger
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: keycloak 8.0.0 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Keycloak admin console, where the realm management interface permits a script to be set via the policy. This flaw allows an attacker with authenticated user and realm management permissions to configure a malicious script to trigger and execute arbitrary code with the permissions of the application user.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-25 09:51:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1720746    

Description Chess Hazlett 2019-06-17 21:28:14 UTC
It was found that the realm management interface in Keycloak's admin console would permit a script to be set via the policy. An attacker with authenticated user and realm management permissions could configure a malicious script to trigger and execute arbitrary code with the permissions of the application user.

Comment 7 Chess Hazlett 2020-05-04 18:33:24 UTC
Acknowledgments:

Name: Bart Toersche (Simacan)